#
# spec file for package perl-Package-MoreUtil
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Package-MoreUtil
Version:        0.591
Release:        1.1
%define cpan_name Package-MoreUtil
Summary:        Package-related utilities
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.98
%{perl_requires}

%description
*DEPRECATION NOTICE:* This module is deprecated in favor of Package::Stash
and Package::Util::Lite.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  7 2019 coolo@suse.com
- updated to 0.591
  see /usr/share/doc/packages/perl-Package-MoreUtil/Changes
  0.591   2019-01-06 (PERLANCAR)
  - No functional changes.
  - [doc] Mark deprecated, mention Package::Stash &
  Package::Util::Lite.
* Thu Nov  8 2018 coolo@suse.com
- updated to 0.590
  see /usr/share/doc/packages/perl-Package-MoreUtil/Changes
* Sat May  2 2015 coolo@suse.com
- initial package 0.58
